<?php

/**
 * @file
 * YAML's implementation to display a single Drupal page while offline.
 *
 * All the available variables are mirrored in page.tpl.php.
 *
 * @see template_preprocess()
 * @see template_preprocess_maintenance_page()
 * @see yaml_process_maintenance_page()
 */
?>
<div class="ym-wrapper">
  <div class="ym-wbox <?php print $classes; ?>">

    <header>
      <?php print render($page['header']) ?>
      <?php if (isset($secondary_menu)) { ?><?php print theme('links', array('links' => $secondary_menu, 'attributes' => array('id' => 'secondary-menu', 'class' => array('links', 'inline', 'float-right')), 'header' => array('text' => t('Secondary menu'), 'level' => 'h2', 'class' => array('element-invisible')))); ?><?php } ?>
      <?php if ($logo) { ?>
      <div class="ym-grid">
        <div class="ym-g960-1 ym-gl">
          <div class="ym-gbox">
            <a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img class="site-logo" src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a>
          </div>
        </div>
        <div class="ym-gl">
          <div class="ym-gbox">
            <?php if ($site_name) { ?><h1 class="site-name"><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1><?php } ?>
            <?php if ($site_slogan) { ?><div class="site-slogan"><?php print $site_slogan ?></div><?php } ?>
          </div>
        </div>
      </div>
      <?php } else { ?>
      <?php if ($site_name) { ?><h1 class="site-name"><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1><?php } ?>
      <?php if ($site_slogan) { ?><div class="site-slogan"><?php print $site_slogan ?></div><?php } ?>
      <?php } ?>
    </header>

    <?php if (!empty($main_menu)) { ?>
    <nav id="nav">
      <div class="ym-hlist" >
        <?php print theme('links', array('links' => $main_menu, 'attributes' => array('id' => 'main-menu', 'class' => array('links')), 'header' => array('text' => t('Main menu'), 'level' => 'h2', 'class' => array('element-invisible')))); ?>
        <?php print render($page['main_navigation']); ?>
      </div>
    </nav>
    <?php } ?>
    <?php print $breadcrumb; ?>

    <div id="main">
      <div class="ym-column linearize-level-1">
        <?php if ($page['sidebar_first']): ?>
        <div class="ym-col1">
          <div class="ym-cbox">
            <?php print render($page['sidebar_first']); ?>
          </div>
        </div>
        <?php endif; ?>

        <?php if ($page['sidebar_second']): ?>
        <div class="ym-col2">
          <div class="ym-cbox">
            <?php print render($page['sidebar_second']); ?>
          </div>
        </div>
        <?php endif; ?>

        <div class="ym-col3">
          <div class="ym-cbox">

            <?php if ($page['highlighted']): ?>
            <section class="box info">
              <?php print render($page['highlighted']); ?>
            </section>
            <?php endif; ?>

            <section class="ym-grid linearize-level-2">
              <div class="ym-gbox">
                <?php print render($title_prefix); ?>
                <?php if ($title) { ?><h2 class="title"><?php print $title ?></h2><?php } ?>
                <?php print render($title_suffix); ?>
                <?php if ($tabs) { ?><div class="tabs"><?php print render($tabs) ?></div><?php } ?>
                <?php if ($show_messages && $messages): print $messages; endif; ?>
                <?php print render($page['help']); ?>
                <?php if ($action_links): ?><ul class="action-links"><?php print render($action_links); ?></ul><?php endif; ?>
                <?php print render($page['content']); ?>
                <?php print $feed_icons ?>
              </div>
            </section>

          </div>
        </div>

      </div>
    </div>

    <?php if ($page['footer']): ?>
    <footer>
      <?php print render($page['footer']); ?>
    </footer>
    <?php endif; ?>

  </div>
</div>
