<?php

/**
* Implements hook_form_alter().
*
* Add some useful HTML5 attributes to forms to make them more user friedly.
*/
function yaml_form_alter(&$form, &$form_state, $form_id) {
  // D8 backport: Change form to HTML5 type.
  if ($form_id == 'search_block_form' && $form['search_block_form']['#type'] == 'textfield') {
    // Replace textfield with searchfield, http://drupal.org/project/elements
    if (module_exists('elements')) {
      $form['search_block_form']['#type'] = 'searchfield';
    }
    $form['search_block_form']['#attributes']['placeholder'] = t('Search...');
  }
}

/**
 * Form style
 */
function yaml_preprocess_form(&$variables) {
  switch ($variables['element']['#form_id']) {
    case 'search_block_form':
      //$variables['element']['#attributes']['class'][] = 'ym-searchform';
      break;

    default:
      // Linear style (default)
      $variables['element']['#attributes']['class'][] = 'ym-form';
      // Switch form style based on theme setting.
      $yaml_form_style = theme_get_setting('yaml_form_style');
      if ($yaml_form_style = 'full') {
        // Full width style.
        $variables['element']['#attributes']['class'][] = 'ym-full';
      }
      elseif ($yaml_form_style = 'columnar')  {
        // Columnar style.
        $variables['element']['#attributes']['class'][] = 'ym-columnar';
      }
  }
}

/**
 * BUG: http://drupal.org/node/1114398
 */
function yaml_preprocess_form_element(&$variables) {

  switch ($variables['element']['#type']) {
    case 'item';
    case 'date':
    case 'textfield':
    case 'textarea':
    case 'password':
      $variables['element']['#attributes']['class'][] = 'ym-fbox-text';
      break;

    case 'select':
      $variables['element']['#attributes']['class'][] = 'ym-fbox-select';
      break;

    case 'radio':
    case 'radios':
    case 'checkbox':
    case 'checkboxes':
      $variables['element']['#attributes']['class'][] = 'ym-fbox-check';
      break;
  }

  //krumo($variables);
}

/**
* BUG: http://drupal.org/node/1114398
*/
function yaml_preprocess_form_element_label(&$variables) {
  switch ($variables['element']['#type']) {
    case 'radios':
    case 'checkboxes': //?
      $variables['element']['#attributes']['class'][] = 'ym-label';
      break;
  }
}

function yaml_preprocess_container(&$variables) {
  switch ($variables['element']['#type']) {
    case 'actions':
      $variables['element']['#attributes']['class'][] = 'ym-fbox-button';
      break;
  }
}

/**
* BUG: http://drupal.org/node/1114398
*/
function yaml_form_required_marker($variables) {
  // This is also used in the installer, pre-database setup.
  $t = get_t();
  $attributes = array(
      'class' => array('form-required', 'ym-required'),
      'title' => $t('This field is required.'),
  );
  return '<span' . drupal_attributes($attributes) . '>*</span>';
}
